GNOME Development Series Snapshot 2.1.1: "Flux Capacitor"

GNOME Development Series Snapshot 2.1.1: "Flux Capacitor"

The GNOME Development Series Snapshot 2.1.1 "Flux Capacitor", is ready for
your bug-busting and testing pleasure! It is available for immediate
download on and mirrors.


  tar.gz:   79M total
  tar.bz2:  60M total


This release is an UNSTABLE development series snapshot. It is intended for
testing and hacking purposes ONLY. Like the Linux kernel, GNOME uses odd
minor version numbers to indicate development status, so this 2.1.x series
will eventually become the official 2.2 release. Please check our schedule
for more info:

New Features

  - New "Open Recent" item in the Actions menu lists recently used files.

  - Faster file-roller, includes suport for recent files and GNOME icon

  - Iagno is harder. :-)

  - Plenty of bug fixes in gnome-media, including better support for devfs.

  - gnome-applets bugfixes.

  - gedit includes a new sort plugin, auto-indentation, UI improvements and

  - New PangoLayout wrap mode (as seen in Nautilus), general Pango bugfixes.

  - Nautilus now supports multihead, PangoLayout wrapping in icon mode, and
    recent files.

  - Emblems are now handled within the icon themes system, and there's a
    cool emblems sidebar!

  - Lots of fixes on linc, ORBit2 and bonobo-activation.

Features included in 2.1.0:

  - Detailed control over fonts, anti-aliasing and subpixel smoothing in the
    Fonts control panel. Control anti-aliasing on-the-fly! As seen in Red
    Hat 8.0.
  - New tab in the Themes control panel provides metacity window border
    theme selection.
  - Windows control panel for window manager selection and options.
  - gedit has a new plugins, including a spelling checker, Galeon-style tab
    control, improved UTF8 support and a most recently used files list.
    Check out the recent files list dropdown on the 'Open' toolbar button!
  - Panel multiscreen support, zoom animation when launchers are clicked.
  - New panel buttons for Screenshot, Search, Show Desktop (actually an
    applet) and Run.
  - gdialog is back! Improved, and built by default in gnome-utils again.
  - Search Tool user interface completely revamped, supports Nautilus icons
    and drag'n'drop.
  - Nautilus now has an extensible thumbnailing system. See Alex Larsson's
    post on nautilus-list about ~/.gnome2/thumbnailrc.
  - system icon theme support in Nautilus (see
  - New icon layout/canvas, general performance fixes, and a new rename
    widget with i18n support.
  - Improved Nautilus side pane based on standard widgets.
  - Requires the 1.1.x development series of Pango, which supports Xft2 and
  - New 'gman' alias for yelp, which handily pops up the man page index.
    This feature dedicated to Glynn Foster.

Preview Modules

The following modules have been proposed for addition to the 2.2 Desktop
release, and have been included in this release for preview and testing:

  - system-tray-applet: The panel notification applet makes its return, as
    seen in Red Hat 8.0.

Modules included since 2.1.0:

  - gnome-themes: New package of default themes for GNOME, which currently
    includes GTK+ and icon themes designed for accessibility.
  - gnome-icon-theme: Default GNOME icon theme.
  - metacity: Window manager for the adult in you. Proposed to replace
    Sawfish as default window manager.
  - vte: Terminal widget with improved font, internationalisation and
    accessibility support. Designed to replace libzvt.
  - file-roller: Full-featured archive creation, browsing, and unpacking
    utility. See:
  - gcalctool: Scientific calculator. Proposed to replace gnome-calculator.

Build Requirements

  - The tarballs included in the release. :-)

  - Some very basic packages not distributed with this release, such as
    image libraries, popt and freetype. These should all be included with or
    available for your distribution.

  - Xft2 and fontconfig for superior font rendering and configuration, from These are not required, but strongly recommended.

  - Python 2 with expat xml modules for libglade (some modules still require
	the libglade-convert script, however we do plan to ship glade2 files).

  - Docbook DTD 4.1.2, Docbook XSL stylesheets and a valid system catalogue
	file for scrollkeeper (which in turn is required by many desktop
	components for documentation).

Happy testing!

- The GNOME Release Team


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]